### Method

# Gtk TreeViewColumn set_attributes

#### Declaration [src]

    void
    gtk_tree_view_column_set_attributes (
      GtkTreeViewColumn* tree_column,
      GtkCellRenderer* cell_renderer,
      ...
    )

#### Description [src]

Sets the attributes in the list as the attributes of `tree_column`.

The attributes should be in attribute/column order, as in gtk_tree_view_column_add_attribute(). All existing attributes are removed, and replaced with the new attributes.

#### Parameters

`cell_renderer` | `GtkCellRenderer`
| The `GtkCellRenderer` we’re setting the attributes of.
| The data is owned by the caller of the function.
`...` | ``
| A `NULL`-terminated list of attributes.